<?php
namespace PrestaShop\Module\LCVPrestaConnector\lcv;

use PrestaShop\Module\LCVPrestaConnector\BridgeAdapter;
use PrestaShop\Module\LCVPrestaConnector\SyncConfiguration;

/**
 * Pont vers LCV
 */
class Bridge extends BridgeAdapter
{
    /**
     * Constructeur
     */
    public function __construct(SyncConfiguration $config)
    {
        parent::__construct($config);
    }

    /**
     * Renvoi l'identifiant du pont correspondant au backoffice géré
     */
    public function getId() : string
    {
        return 'LCV';
    }

    /**
     * Teste la connexion au backoffice avec les paramètres fournis
     */
    public function testConnect($args) : string|null
    {
        throw new \Exception('Not implemented');
    }
}
