document.addEventListener('DOMContentLoaded', function () {


const baseUrl = $('body').data('base-url');
const token = $('body').data('token');
const inputUrl = document.querySelector("#lcv_login_url")
let btnVerify = $("#btn-verify");
$("#btn-verify").on("click", () => {
    $("#btn-verify").html('<div class="loader2"></div>Interrogation en cours');
    $("#btn-verify").attr("disabled", "disabled");

    let apiUrl = inputUrl.value + '/LectureDuStock/%20/%20/0/0/0/0';



    $.ajax( {
        url: baseUrl + "/modules/lcvprestaconnector/connect/lcv?_token=" + token,
        method: 'POST',
        data: {
            url: apiUrl  // On envoie l'URL complète
        },
    }).done(function(data){
        
        if(data.success){
            btnVerify.hide();
            $('.check-url').html('<p class="check-url">l\'url est valide<span class="material-icons ">check</span></p>');
            $('.check-url').css({
                'display': 'block',
                'color': 'green'  // Exemple : changer la couleur en vert
            });
            console.log(data);
            $('#lcv_login_fingerprint').val(data.fingerprint);
            $('#step_two').css('display', 'block');

        }else{
            $('.check-url').html('<p class="check-url">l\'url n\'est pas valide<span class="material-icons ">close</span></p>');
            $('.check-url').css({
                'display': 'block',
                'color': 'red'  // Exemple : changer la couleur en vert
            });
            $("#btn-verify").html('Vérifier l\'url');
            $("#btn-verify").removeAttr("disabled");
            console.log(apiUrl);
        }
    })

})



    
        // Récupère l'URL actuelle
        let currentUrl = window.location.href;

        // Définit une correspondance entre les sections et les IDs des éléments
        let tabs = {
            'information': 'nav-information',
            'option': 'nav-option',
            'catalogue': 'nav-catalogue',
            'commande': 'nav-commande'
        };

        // Boucle sur les clés dans l'objet tabs
        for (var key in tabs) {
            if (tabs.hasOwnProperty(key)) {
                if (currentUrl.includes(key)) {
                    // Enlève la classe active de tous les onglets
                    document.querySelectorAll('.nav-link').forEach(function (el) {
                        el.classList.remove('active');
                    });

            

                    // Ajoute la classe active à l'onglet correspondant
                    document.getElementById(tabs[key]).classList.add('active');
                }
            }
        }
    

});